Bug 7283 - Problem with wu-ftpd 2.6-1 update...
Summary: Problem with wu-ftpd 2.6-1 update...
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: wu-ftpd   
(Show other bugs)
Version: 6.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-24 12:36 UTC by Lawrence Knachel
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-18 16:57:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lawrence Knachel 1999-11-24 12:36:38 UTC
I was patching my anon ftp server from 2.5.0-9 to 2.6-1. After installing
the 2.6-1 RPM (with -Uvh flags) I could not get a direstory listing in
/home/ftp by using plain ls. If I did ls -l they would show up. I tried
this on all the sub dirs and ls worked fine there. Then I uninstalled
wu-ftpd 2.6-1, reinstalled it the results were the same. Then I uninstalled
anonftp and wu-ftpd 2.6-1, reinstalled them and the results were the same.
Then I uninstalled anonftp and wu-ftpd 2.6-1 again, and this time put back
the original anonftp(2.8-1) and the original wu-ftpd(2.5.0-9) from the
RedHat 6.1 CD. After this it is working the same way it always has.

Lawrence Knachel
lknachel@jjma.com

"The problem with slashdot is that it should be first patch, not first
post."
-Alan Cox

Comment 1 Bernhard Rosenkraenzer 2000-01-18 16:57:59 UTC
It's not a bug, it's a feature. The NLST code in wu-ftpd has been modified to do
what the RFCs want it to do, causing mget to work correctly (i.e. don't list
directories).


Note You need to log in before you can comment on or make changes to this bug.